Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 May 2015 13:23:12 +0300

> From: Oleh Krehel <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Fri, 29 May 2015 11:30:55 +0200
> 
> Clément Pit--Claudel <[email-masked]> writes:
> 
> > The patch partially solves the problem for me, but I noticed a few
> > problems after running (set-frame-font "Latin Modern Math")
> > * When the cursor is at the end of the file, on an empty line, it has a very height.
> > * The modeline is still very tall
> > * The fix seems to only apply to certain characters. The line that I
> > mentioned in my original email, in particular, is still very tall. In
> > other words, when trying the following three lines in a Latin Modern
> > Math buffer, the last line is much too tall:
> >
> > 𝓝  ;; This is still very tall
> > ∏∑∫ ;; This is a bit taller than the normal height, which is great
> > ABC ;; This has the normal height, which is also great
> 
> Same issues for me on Ubuntu. The most outstanding one is the mode line
> height (of 7 lines instead of 1). And the cursor at eof is very tall as
> well.

I will need snapshots of all you see, because I cannot even begin
debugging without seeing the exact pictures.

Mode line is not handled in the patches I made, so it's little wonder
you see what you see.  (Does someone actually use Latin Modern Math as
the default font? it's an ugly font, AFAICS, and I expect it to be
used only for math stuff that the main font doesn't cover.)

> Additionally, these chars are bad: \\|, λ.

Any special character you see look bad, please make sure with "C-u C-x ="
with which font it's displayed.

> And all lines in Buffer-menu-mode are super-tall, just like the mode
> line.

Recipe, please.  Starting from "emacs -Q", as usual.

> And the header line is tall.

That's the same code as for mode line, so it's expected.